%# BEGIN BPS TAGGED BLOCK {{{
%#
%# COPYRIGHT:
%#
%# This software is Copyright (c) 1996-2023 Best Practical Solutions, LLC
%#                                          <sales@bestpractical.com>
%#
%# (Except where explicitly superseded by other copyright notices)
%#
%#
%# LICENSE:
%#
%# This work is made available to you under the terms of Version 2 of
%# the GNU General Public License. A copy of that license should have
%# been provided with this software, but in any event can be snarfed
%# from www.gnu.org.
%#
%# This work is distributed in the hope that it will be useful, but
%# WITHOUT ANY WARRANTY; without even the implied warranty of
%# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%# General Public License for more details.
%#
%# You should have received a copy of the GNU General Public License
%# along with this program; if not, write to the Free Software
%# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
%# 02110-1301 or visit their web page on the internet at
%# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
%#
%#
%# CONTRIBUTION SUBMISSION POLICY:
%#
%# (The following paragraph is not intended to limit the rights granted
%# to you to modify and distribute this software under the terms of
%# the GNU General Public License and is only of importance to you if
%# you choose to contribute your changes and enhancements to the
%# community by submitting them to Best Practical Solutions, LLC.)
%#
%# By intentionally submitting any modifications, corrections or
%# derivatives to this work, or any other work intended for use with
%# Request Tracker, to Best Practical Solutions, LLC, you confirm that
%# you are the copyright holder for those contributions and you grant
%# Best Practical Solutions,  LLC a nonexclusive, worldwide, irrevocable,
%# royalty-free, perpetual, license to use, copy, create derivative
%# works based on those contributions, and sublicense and distribute
%# those contributions and any derivatives thereof.
%#
%# END BPS TAGGED BLOCK }}}
<& /Admin/Elements/Header, Title => loc("Modify action #[_1]", $id) &>
<& /Elements/Tabs &>
<& /Elements/ListActions, actions => \@results &>

<form method="post" action="Modify.html" id="ModifyAction" name="ModifyAction">
<input type="hidden" class="hidden" name="id" value="<% $id %>" />

<&| /Widgets/TitleBox, title => loc('Basics') &>
<table>
<& Elements/EditBasics, %ARGS, Action => $action, &>
</table>
</&>
<& /Elements/Submit, Label => loc('Copy Action'), Name => 'Copy' &>

<& /Elements/Submit, Label => loc('Save Changes'), Name => 'Update', Reset => 1 &>


</form>
<%ARGS>
$id     => undef
$Update => undef
$Copy   => undef
</%ARGS>
<%INIT>

my $action = RT::ScripAction->new( $session{'CurrentUser'} );
$action->Load( $id );
Abort(loc("Couldn't load action #[_1]", $id)) unless $action->id;

if ( $action->Creator == RT->SystemUser->id ) {
    RT::Interface::Web::Redirect( RT->Config->Get('WebURL') ."Admin/Actions/Display.html?id=$id" );
}

my @results;
if ( $Update ) {
    my @attribs = qw(
        Name Description
        ExecModule Argument
    );
    @results = UpdateRecordObject(
        AttributesRef   => \@attribs,
        Object          => $action,
        ARGSRef         => \%ARGS
    );
    MaybeRedirectForResults(
        Actions   => \@results,
        Arguments => { id => $action->id },
    );
}
elsif ( $Copy ) {
    RT::Interface::Web::Redirect( RT->Config->Get('WebURL') ."Admin/Actions/Create.html?id=$id" );
}

</%INIT>
